com.saxonica.jaxp

## Class TypedContentHandler.TypeInfoProviderImpl

- java.lang.Object
- - javax.xml.validation.TypeInfoProvider
  - - com.saxonica.jaxp.TypedContentHandler.TypeInfoProviderImpl

- Enclosing class:
    TypedContentHandler

      public class TypedContentHandler.TypeInfoProviderImpl
      extends TypeInfoProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypedContentHandler.TypeInfoProviderImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeInfo` | `getAttributeTypeInfo(int index)` Returns the immutable `TypeInfo` object for the specified attribute of the current element.
    `TypeInfo` | `getElementTypeInfo()` Returns the immutable `TypeInfo` object for the current element.
    `boolean` | `isIdAttribute(int index)` Returns `true` if the specified attribute is determined to be an ID.
    `boolean` | `isSpecified(int index)` Returns `false` if the attribute was added by the validator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypedContentHandler.TypeInfoProviderImpl

          public TypedContentHandler.TypeInfoProviderImpl()

  - ### Method Detail

    - #### getElementTypeInfo

          public TypeInfo getElementTypeInfo()

      Returns the immutable `TypeInfo` object for the current element.
      Specified by:
        `getElementTypeInfo` in class `TypeInfoProvider`
      Returns:
        An immutable `TypeInfo` object that represents the type of the current element. Note that the caller can keep references to the obtained `TypeInfo` longer than the callback scope.

        Otherwise, this method returns null if the validator is unable to determine the type of the current element for some reason

    - #### getAttributeTypeInfo

          public TypeInfo getAttributeTypeInfo(int index)

      Returns the immutable `TypeInfo` object for the specified attribute of the current element.

      The method may only be called by the startElement event of the `ContentHandler` that the application sets to the `ValidatorHandler`.
      Specified by:
        `getAttributeTypeInfo` in class `TypeInfoProvider`
      Parameters:
        `index` - The index of the attribute. The same index for the `Attributes` object passed to the `startElement` callback.
      Returns:
        An immutable `TypeInfo` object that represents the type of the specified attribute. Note that the caller can keep references to the obtained `TypeInfo` longer than the callback scope.

        Otherwise, this method returns null if the validator is unable to determine the type.
      Throws:
        `IndexOutOfBoundsException` - If the index is invalid.
        `IllegalStateException` - If this method is called from other `ContentHandler` methods.

    - #### isIdAttribute

          public boolean isIdAttribute(int index)

      Returns `true` if the specified attribute is determined to be an ID.
      Specified by:
        `isIdAttribute` in class `TypeInfoProvider`
      Parameters:
        `index` - The index of the attribute. The same index for the `Attributes` object passed to the `startElement` callback.
      Returns:
        true if the type of the specified attribute is ID.

    - #### isSpecified

          public boolean isSpecified(int index)

      Returns `false` if the attribute was added by the validator.
      Specified by:
        `isSpecified` in class `TypeInfoProvider`
      Parameters:
        `index` - The index of the attribute. The same index for the `Attributes` object passed to the `startElement` callback.
      Returns:
        `true` if the attribute was present before the validator processes input. `false` if the attribute was added by the validator.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.